(function (exports) {
    var changelog = [
        {
            version: '2018.03.26.1',
            releaseNotes: [
                'Copy control support',
            ]
        },
	    {
            version: '2017.11.27.4',
            releaseNotes: [
                'Bug fixes',
            ]
        },
        {
            version: '2017.5.5.1',
            releaseNotes: [
                'Initial release.',
                'Quickly add an entry to your Daily Status.',
                'Quickly access the Employee Directory.',
                'Nifty <a href="omniboxhelp.html" title="Omnibox help">Omnibox commands</a> to get to commonly used areas in Support Center.'
            ]
        }
    ];
    Object.freeze(changelog);

    $(function () {
        $('#form').submit(function (e) {
            e.preventDefault();
            window.close();
            return false;
        });

        $('#close').click(function (e) {
            e.preventDefault();
            window.close();
        });

        $('span.currentVersion').text(chrome.runtime.getManifest().version);

        $('.toggleImageLink').click(function () {
            $('#' + $(this).attr('data-toggle')).slideToggle();
        });


        var html = '';
        for (var a = 0, lenA = changelog.length; a < lenA; ++a) {
            html += '<div class="info">';
            html += '<h4>' + changelog[a].version + '</h4>';
            html += '<ul>';
            for (var b = 0, lenB = changelog[a].releaseNotes.length; b < lenB; ++b) {
                html += '<li>' + changelog[a].releaseNotes[b] + '</li>';
            }
            html += '</ul>';
            html += '</div>';
        }

        $('fieldset#changelog').append(html);
    });
})(window);